package com.example.maplibre.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class AutoComplete {
    String description;

    @SerializedName("matched_substrings")
    List<Object> matchedSubstrings;

    @SerializedName("place_id")
    String placeId;

    String reference;

    @SerializedName("structured_formatting")
    StructuredFormatting structuredFormatting= new StructuredFormatting();

    @SerializedName("terms")
    List<Object> terms;

    @SerializedName("has_children")
    boolean hasChildren;

    @SerializedName("display_type")
    String displayType;

    @SerializedName("score")
    Double score;

    @SerializedName("plus_code")
    PlusCode plusCode;

    class StructuredFormatting{
        @SerializedName("main_text")
        String mainText;

        @SerializedName("secondary_text")
        String secondaryText;
    }

    class PlusCode{
        @SerializedName("compound_code")
        String compoundCode;

        @SerializedName("global_code")
        String globalCode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPlaceId() {
        return placeId;
    }

    public List<Object> getMatchedSubstrings() {
        return matchedSubstrings;
    }

    public void setMatchedSubstrings(List<Object> matchedSubstrings) {
        this.matchedSubstrings = matchedSubstrings;
    }

    public void setPlaceId(String placeId) {
        this.placeId = placeId;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public StructuredFormatting getStructuredFormatting() {
        return structuredFormatting;
    }

    public void setStructuredFormatting(StructuredFormatting structuredFormatting) {
        this.structuredFormatting = structuredFormatting;
    }

    public List<Object> getTerms() {
        return terms;
    }

    public void setTerms(List<Object> terms) {
        this.terms = terms;
    }

    public boolean isHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(boolean hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getDisplayType() {
        return displayType;
    }

    public void setDisplayType(String displayType) {
        this.displayType = displayType;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public PlusCode getPlusCode() {
        return plusCode;
    }

    public void setPlusCode(PlusCode plusCode) {
        this.plusCode = plusCode;
    }
}
